org.eclipse.gef.common.collections

## Interface MultisetChangeListener<E>

Type Parameters:
  `E` - The element type of the `ObservableMultiset`.

    public interface MultisetChangeListener<E>

A `MultisetChangeListener` is the notification target for changes related to an `ObservableMultiset`.

### Nested Class Summary

Nested Classes
`static class` `MultisetChangeListener.Change<E>` Represents an atomic change done to an `ObservableMultiset`, i.e. a change resulting from a single method invocation on an `ObservableMultiset`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onChanged(MultisetChangeListener.Change<? extends E> change)` Called after an atomic change has been made to an `ObservableMultiset`.

### Method Detail

#### onChanged

    void onChanged(MultisetChangeListener.Change<? extends E> change)

Called after an atomic change has been made to an `ObservableMultiset`. Each call to a modifying method of `ObservableMultiset` will lead to exactly one invocation, which may internally comprise several elementary sub-changes.

Parameters:
  `change` - A `MultisetChangeListener.Change` object representing an atomic change that was performed on the source `ObservableSetMultimap`.